A.TAGS(1)

NAME
a.tags - create a tags file for Ada sources

SYNOPSIS
a.tags [ options ] file ...

DESCRIPTION
The a.tags command makes a tags file, similar to the files made by ctags(1), for Ada source files.

To obtain a complete tags file, the files listed as arguments must be syntactically correct,

Tags for bodies are named with the unmodified Ada name. Tags for Ada specifications are distinguished from tags for Ada bodies by prefacing the Ada name with “s#”. Tags for stubs for separates are named by prefacing the Ada name with “stub#”.

Nested packages, subprograms, types, generics, and task definitions are tagged with both their simple names and fully-qualified names. Thus, an identifier can be located either by its simple name or by specifying the fully-qualified name. Tags are generated for overloaded identifiers. ( A.vi(1) provides a facility for choosing among them.)

The a.tags command supports the options defined for ctags(1):

-B  backward-searching patterns

-F  forward-searching patterns (default)

-a  append to current tags file

-t  build tags for types, too

-w  suppress warning messages

-x  generate an indexed list of all tags

-v  generate an index that includes line numbers for vgrind(1)

FILES
atags    output tags file

SEE ALSO
a.vi(1), ctags(1), vgrind(1)